import function_library 
import object_library 
import particles
import couplings
import lorentz
import parameters
import vertices
import coupling_orders
import write_param_card
import propagators
try:
    import decays
except ImportError:
    pass    
try:
    import build_restrict
except ImportError:
    pass

# model options
gauge = [0, 1]


all_particles = particles.all_particles
all_vertices = vertices.all_vertices
all_couplings = couplings.all_couplings
all_lorentz = lorentz.all_lorentz
all_parameters = parameters.all_parameters
all_orders = coupling_orders.all_orders
all_functions = function_library.all_functions
#all_decays = decays.all_decays
all_propagators = propagators.all_propagators

__author__  = "E. Musumeci"
__version__ = "1.1"
__email__   = "emanuela.musumeci@cern.ch, emanuela.musumeci@ific.uv.es"
__arxiv__   = "arXiv: 2310.17452"
